Bug 204016 - line under cjk + ascii string is broken on tomboy note
line under cjk + ascii string is broken on tomboy note
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-24 21:13 EDT by sangu
Modified: 2007-12-17 13:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-17 13:23:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Broken underline (14.68 KB, image/png)
2006-08-24 21:13 EDT, sangu
no flags Details
in rawhide 20070409 (38.51 KB, image/png)
2007-04-08 20:39 EDT, sangu
no flags Details

  None (edit)
Description sangu 2006-08-24 21:13:28 EDT
Description of problem:
Line under cjk + ascii string is broken on tomboy note

Version-Release number of selected component (if applicable):
0.3.9-3.fc6

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 sangu 2006-08-24 21:13:28 EDT
Created attachment 134879 [details]
Broken underline
Comment 2 Matthias Clasen 2006-08-27 13:27:46 EDT
Pretty sure this is a pango issue, unless it works in e.g. gedit. Does it ?
Comment 3 Behdad Esfahbod 2006-08-28 18:38:45 EDT
It's not very clear to me as to what the bug is here.  Different fonts have
different underline positions.
Comment 4 Matthias Clasen 2006-08-28 21:30:46 EDT
but the intention here is clearly to underline the whole line, 
possibly ignoring the underline positions of the individual runs.
Comment 5 sangu 2007-04-08 20:39:08 EDT
Created attachment 151943 [details]
in rawhide 20070409

pango-1.16.1-1.fc7
cairo-1.4.2-1.fc7
gtk2-2.10.11-3.fc7

See Also : http://bugzilla.gnome.org/show_bug.cgi?id=103662
Comment 6 Liang Zhang 2007-09-28 04:21:08 EDT
The upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=481196
Comment 7 Liang Zhang 2007-09-28 23:32:20 EDT
The same bug in the upstream bugzilla:
http://bugzilla.gnome.org/show_bug.cgi?id=371726

Note You need to log in before you can comment on or make changes to this bug.